Boomi Agent Garden Design APIs - Environments
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
List All Environments
Retrieve list of environments for a given account ID and user ID.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW, AGENT_EDIT, AGENT_CREATE.
Authorizations:
Boomi-Platform-JWTBoomi-Platform-API-Key
query Parameters
| page | integer (Page) >= 1 Default: 1 Page number to retrieve |
| page_size | integer (Page Size) [ 1 .. 100 ] Default: 100 Number of records per page |
| sort_by | string (Sort By) Default: "deployment_count" Field to sort by |
| sort_order | string (Sort Order) ^(asc|desc)$ Default: "desc" Sort order (default: desc) |
| search_term | string (Search Term) Filter by a substring match in env ID or name |
| classification | string (EnvironmentClassification) Enum: "PRODUCTION" "TEST" Filter by a environment classification |
| source | string (EnvironmentSource) Enum: "INTEGRATION" "AGENT_GARDEN" Filter by a environment source |
| env_status | Array of strings (Env Status) Items Enum: "ATTACHED" "DETACHED" Filter by a environment status |
| runtime_id | Array of strings <uuid> (Runtime Id) [ items <uuid > ] Filter by a runtime IDs |
Responses
Response Schema: application/json
Any of
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PaginationResponse[Union[EnvironmentResponse, IntegrationEnvironmentResponse]] (object) or null |
Response samples
- 200
- 401
- 403
- 422
Content type
application/json
{- "success": true,
- "message": "Environments retrieved successfully",
- "data": {
- "total_items": 2,
- "total_pages": 1,
- "current_page": 1,
- "page_size": 100,
- "items": [
- {
- "integration_environment_id": null,
- "ag_environment_id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
- "name": "Agent Garden Production",
- "classification": "PRODUCTION",
- "status": "ATTACHED",
- "source": "AGENT_GARDEN",
- "is_default": true,
- "created_on": "2026-04-28T08:37:09.967199Z",
- "last_updated_on": "2026-04-28T08:37:09.967199Z",
- "runtimes": [
- {
- "runtime_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
- "runtime_name": "USA East Agent Garden Cloud 01",
- "runtime_region": "US",
}
], - "deployment_count": 1
}, - {
- "integration_environment_id": null,
- "ag_environment_id": "f6a7b8c9-d0e1-4f2a-3b4c-5d6e7f8a9b0c",
- "name": "Agent Garden Test",
- "classification": "TEST",
- "status": "ATTACHED",
- "source": "AGENT_GARDEN",
- "is_default": true,
- "created_on": "2026-04-28T08:37:09.967199Z",
- "last_updated_on": "2026-04-28T08:37:09.967199Z",
- "runtimes": [
- {
- "runtime_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
- "runtime_name": "USA East Agent Garden Cloud 01",
- "runtime_region": "US",
}
], - "deployment_count": 0
}
]
}
}Was this topic helpful?